import Vector2 from "../../../core/geom/Vector2.js";

export class GridPatternMatcherCell {
    /**
     *
     * @type {CellMatcher}
     */
    rule = null;

    /**
     *
     * @type {Vector2}
     */
    position = new Vector2();


    /**
     *
     * @param {CellMatcher} rule
     * @param {number} x
     * @param {number} y
     * @returns {GridPatternMatcherCell}
     */
    static from(rule, x, y) {
        const r = new GridPatternMatcherCell();

        r.rule = rule;
        r.position.set(x, y);

        return r;
    }
}
